Viewing Issue Advanced Details Jump to Notes ] segas24.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03641 Graphics Minor Always Jan 4, 2010, 19:10 Aug 31, 2011, 16:48
Tester Tain View Status Public Platform MAME (Official Binary)
Assigned To M.A.S.H. Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver segas24.cpp
Version 0.136 Fixed in Version 0.143u5 Build Normal
Summary 03641: sspirits, gground: Only half of the game's frames are rendered.
Description MAME reports 100% speed with zero frameskipping, yet the game is running at half the framerate. Due to this, in Scramble Spirits, when the player's ship spawns, it will either appear solid or completely invisible for the duration of the player's invincibility period (when it should be flickering). This makes me think that the game isn't supposed to be running at this framerate.

Gain Ground also seems affected by this.

The last MAME binary I tried that has these games running at their full framerate was 0.129.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.129u6
Affected Sets / Systems sspirits, gground
Attached Files
 

- Relationships
related to 03195ResolvedM.A.S.H. crkdown: graphic artifacts and speed drop during gameplay 
related to 04475ResolvedM.A.S.H. quizmeku: Missing gfx 

-  Notes
User avatar
No.05388
Tafoid
(Administrator)
Jan 4, 2010, 19:36
I'm not so sure this is a frame rate issue. I isolated a version which this behavior started (0.129u6) as tested with sspirits ship flickering when you start.

I'll confirm the behavior, but wait for some knowledge Dev to comment on what is supposed to be correct.
User avatar
No.05389
Haze
(Senior Tester)
Jan 4, 2010, 20:19
the timers are completely broken in system24, hence the bad flckering in crackdown, and the observed issues in gain ground / sspirits.

It's the same bug as
http://www.mametesters.org/view.php?id=3195

anyway, just different symptoms.
User avatar
No.05390
Tafoid
(Administrator)
Jan 4, 2010, 20:32
Doh.. thanks for the info, Haze. I'll set it up as related.
User avatar
No.07072
haynor666
(Tester)
Jan 13, 2011, 21:34
Any plans to fix this?
User avatar
No.07073
Haze
(Senior Tester)
Jan 13, 2011, 23:53
Only in as much as there are plans to fix anything else....